[arch-commits] Commit in xf86-input-penmount/trunk (PKGBUILD penmount-1.4.0-abi.patch)

andyrtr at archlinux.org andyrtr at archlinux.org
Mon Oct 12 20:01:34 UTC 2009


    Date: Monday, October 12, 2009 @ 16:01:34
  Author: andyrtr
Revision: 55414

upgpkg: xf86-input-penmount 1.4.0-3
    built against Xorg-server 1.7

Added:
  xf86-input-penmount/trunk/penmount-1.4.0-abi.patch
Modified:
  xf86-input-penmount/trunk/PKGBUILD

--------------------------+
 PKGBUILD                 |   18 ++++++-----
 penmount-1.4.0-abi.patch |   72 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-10-12 19:58:49 UTC (rev 55413)
+++ PKGBUILD	2009-10-12 20:01:34 UTC (rev 55414)
@@ -1,23 +1,27 @@
 # $Id$
-# Maintainer: Alexander Baldeck <alexander at archlinux.org>
-# Contributor: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
 pkgname=xf86-input-penmount
 pkgver=1.4.0
-pkgrel=2
+pkgrel=3
 pkgdesc="X.org penmount input driver"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 license=('custom')
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.6.0')
-conflicts=('xorg-server<1.6.0')
+makedepends=('pkgconfig' 'xorg-server>=1.7.0')
+conflicts=('xorg-server<1.7.0')
 groups=('xorg-input-drivers')
 options=('!libtool')
-source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2 LICENSE)
-md5sums=('d5f1395b2dcefc7533ff5580e63f2066' '78b0876e65de6efe447233b24aa6bfcd')
+source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2 LICENSE
+	penmount-1.4.0-abi.patch)
+md5sums=('d5f1395b2dcefc7533ff5580e63f2066'
+         '78b0876e65de6efe447233b24aa6bfcd'
+         'fff56e809e2762fcbbdef6c73b893f23')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i ${srcdir}/penmount-1.4.0-abi.patch || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1

Added: penmount-1.4.0-abi.patch
===================================================================
--- penmount-1.4.0-abi.patch	                        (rev 0)
+++ penmount-1.4.0-abi.patch	2009-10-12 20:01:34 UTC (rev 55414)
@@ -0,0 +1,72 @@
+From dab0c2742c034750e3e9673167eb20812b679818 Mon Sep 17 00:00:00 2001
+From: Peter Hutterer <peter.hutterer at who-t.net>
+Date: Fri, 17 Jul 2009 13:59:43 +1000
+Subject: [PATCH] Cope with XINPUT ABI 7.
+
+Signed-off-by: Peter Hutterer <peter.hutterer at who-t.net>
+---
+ src/xf86PM.c |   24 +++++++++++++++++++++---
+ 1 files changed, 21 insertions(+), 3 deletions(-)
+
+diff --git a/src/xf86PM.c b/src/xf86PM.c
+index 0c01760..1e38124 100644
+--- a/src/xf86PM.c
++++ b/src/xf86PM.c
+@@ -181,6 +181,9 @@ ProcessDeviceInit(PenMountPrivatePtr priv, DeviceIntPtr dev, InputInfoPtr pInfo)
+ 	unsigned char map[] =
+ 	{0, 1};
+ 	int min_x, min_y, max_x, max_y;
++	Atom axis_labels[2] = { 0, 0 };
++	Atom btn_label = 0;
++
+ 	/*
+ 	 * these have to be here instead of in the SetupProc, because when the
+ 	 * SetupProc is run at server startup, screenInfo is not setup yet
+@@ -191,7 +194,11 @@ ProcessDeviceInit(PenMountPrivatePtr priv, DeviceIntPtr dev, InputInfoPtr pInfo)
+ 	/*
+ 	 * Device reports button press for 1 button.
+ 	 */
+-	if (InitButtonClassDeviceStruct (dev, 1, map) == FALSE)
++	if (InitButtonClassDeviceStruct (dev, 1,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++                    &btn_label,
++#endif
++                    map) == FALSE)
+ 		{
+ 			ErrorF ("Unable to allocate PenMount ButtonClassDeviceStruct\n");
+ 			return !Success;
+@@ -202,6 +209,9 @@ ProcessDeviceInit(PenMountPrivatePtr priv, DeviceIntPtr dev, InputInfoPtr pInfo)
+ 	 * Axes min and max values are reported in raw coordinates.
+ 	 */
+ 	if (InitValuatorClassDeviceStruct (dev, 2,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++					   axis_labels,
++#endif
+ #if GET_ABI_MAJOR(ABI_XINPUT_VERSION) < 3
+ 					   xf86GetMotionEvents,
+ #endif
+@@ -234,11 +244,19 @@ ProcessDeviceInit(PenMountPrivatePtr priv, DeviceIntPtr dev, InputInfoPtr pInfo)
+ 					min_y = 0;
+ 				}
+ 
+-			InitValuatorAxisStruct (dev, 0, min_x, max_x,
++			InitValuatorAxisStruct (dev, 0,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++						axis_labels[0],
++#endif
++						min_x, max_x,
+ 						9500,
+ 						0 /* min_res */ ,
+ 						9500 /* max_res */ );
+-			InitValuatorAxisStruct (dev, 1, min_y, max_y,
++			InitValuatorAxisStruct (dev, 1,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++						axis_labels[1],
++#endif
++						min_y, max_y,
+ 						10500,
+ 						0 /* min_res */ ,
+ 						10500 /* max_res */ );
+-- 
+1.6.3.rc1.2.g0164.dirty
+




More information about the arch-commits mailing list